package click.kamil.springstatemachineexporter.model;

public record Guard(String expression, boolean isLambda, String internalLogic, Integer lineNumber, String className, String sourceFile) {
    public static Guard of(String expression, boolean isLambda, String internalLogic, Integer lineNumber, String className, String sourceFile) {
        return expression != null ? new Guard(expression, isLambda, internalLogic, lineNumber, className, sourceFile) : null;
    }
}
